Bug 10745 - git-fetch exit status
Summary: git-fetch exit status
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: git-core (show other bugs)
Version: unstable
Hardware: all Linux
: P2 normal
Assignee: placeholder@altlinux.org
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-31 10:43 MSK by at@altlinux.org
Modified: 2007-02-18 04:54 MSK (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description at@altlinux.org 2007-01-31 10:43:24 MSK
$ git-fetch -u --no-tags cvs
fatal: no matching remote head
Fetch failure: .git/cvs/rsync/zsh
$ echo $?
0
$
Comment 1 at@altlinux.org 2007-01-31 10:59:16 MSK
--- /usr/bin/git-fetch-	2007-01-09 20:39:26 +0000
+++ /usr/bin/git-fetch	2007-01-31 07:58:34 +0000
@@ -415,6 +415,10 @@ fetch_main () {
 	  append_fetch_head "$sha1" "$remote" \
 		  "$remote_name" "$remote_nick" "$local_name" "$not_for_merge"
       done
+
+      # pipe exit status
+      [ $? = 0 ] || exit 1
+
       if [ "$pack_lockfile" ]; then rm -f "$pack_lockfile"; fi
     ) || exit ;;
   esac
Comment 2 Dmitry V. Levin 2007-02-18 04:54:30 MSK
Looks like fixed in 1.5.0